[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Package Conflicts (was Re: yum --skip-broken update by default?)



On Fri, 2008-12-12 at 14:08 -0600, Jerry Amundson wrote:
> > http://fedoraproject.org/wiki/Packaging/Conflicts
> >
> > "Whenever possible, Fedora packages should avoid conflicting with each
> > other. Unfortunately, this is not always possible. These guidelines
> > illustrate how conflicts should be handled in Fedora, specifically
> > concerning when and when not to use the Conflicts: field."
> 
> More importantly, in the next paragraph:
> 
> "As a general rule, Fedora packages must NOT contain any usage of the
> Conflicts: field."


Yeah, I'll go to bat with the FPC on the wording of this rule.

Conflicts are allowed to express that a given package may conflict with
an older version of some other package, but may not directly require
that other package and vice-versa.  What I don't find acceptable is any
current Fedora package conflicting with any other current Fedora
package, either explicitly or through files.

The failure case of when this happens is just unacceptable.  yum, et al,
cannot tell if files conflict until the packages are all downloaded
first, and when this happens it's just an error, the user is left to
translate, figure out a different course of action, and start over.
Especially bad during initial installs.

We have an alternatives system for when you absolutely cannot find any
other way for two packages to co-exist.

-- 
Jesse Keating
Fedora -- FreedomĀ² is a feature!
identi.ca: http://identi.ca/jkeating

Attachment: signature.asc
Description: This is a digitally signed message part


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]